﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Customers.aspx.vb" Inherits="Customers" MaintainScrollPositionOnPostback="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
            AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="CustomerID" 
            DataSourceID="ObjectDataSource1">
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
                    ShowSelectButton="True" />
                <asp:BoundField DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True" 
                    SortExpression="CustomerID" />
                <asp:BoundField DataField="CompanyName" HeaderText="CompanyName" 
                    SortExpression="CompanyName" />
                <asp:BoundField DataField="ContactName" HeaderText="ContactName" 
                    SortExpression="ContactName" />
                <asp:BoundField DataField="ContactTitle" HeaderText="ContactTitle" 
                    SortExpression="ContactTitle" />
                <asp:BoundField DataField="Address" HeaderText="Address" 
                    SortExpression="Address" />
                <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                <asp:BoundField DataField="Region" HeaderText="Region" 
                    SortExpression="Region" />
                <asp:BoundField DataField="PostalCode" HeaderText="PostalCode" 
                    SortExpression="PostalCode" />
                <asp:BoundField DataField="Country" HeaderText="Country" 
                    SortExpression="Country" />
                <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
                <asp:BoundField DataField="Fax" HeaderText="Fax" SortExpression="Fax" />
                <asp:HyperLinkField DataNavigateUrlFields="customerid" 
                    DataNavigateUrlFormatString="neworder.aspx?custid={0}" HeaderText="Order" 
                    Text="Order" />
            </Columns>
            <SelectedRowStyle BackColor="#FF9933" />
            <EditRowStyle BackColor="Yellow" />
        </asp:GridView>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            DeleteMethod="Delete" InsertMethod="Insert" 
            OldValuesParameterFormatString="original_{0}" SelectMethod="GetData" 
            TypeName="dsNEKTableAdapters.CustomersTableAdapter" UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_CustomerID" Type="String" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="ContactName" Type="String" />
                <asp:Parameter Name="ContactTitle" Type="String" />
                <asp:Parameter Name="Address" Type="String" />
                <asp:Parameter Name="City" Type="String" />
                <asp:Parameter Name="Region" Type="String" />
                <asp:Parameter Name="PostalCode" Type="String" />
                <asp:Parameter Name="Country" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="Fax" Type="String" />
                <asp:Parameter Name="Original_CustomerID" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="CustomerID" Type="String" />
                <asp:Parameter Name="CompanyName" Type="String" />
                <asp:Parameter Name="ContactName" Type="String" />
                <asp:Parameter Name="ContactTitle" Type="String" />
                <asp:Parameter Name="Address" Type="String" />
                <asp:Parameter Name="City" Type="String" />
                <asp:Parameter Name="Region" Type="String" />
                <asp:Parameter Name="PostalCode" Type="String" />
                <asp:Parameter Name="Country" Type="String" />
                <asp:Parameter Name="Phone" Type="String" />
                <asp:Parameter Name="Fax" Type="String" />
            </InsertParameters>
        </asp:ObjectDataSource>
    
    </div>
    <asp:DetailsView ID="DetailsView1" runat="server" AllowPaging="True" 
        AutoGenerateRows="False" BackColor="White" BorderColor="#999999" 
        BorderStyle="Solid" BorderWidth="1px" CellPadding="3" DataKeyNames="OrderID" 
        DataSourceID="ObjectDataSource2" ForeColor="Black" GridLines="Vertical" 
        Height="50px">
        <FooterStyle BackColor="#CCCCCC" />
        <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
        <Fields>
            <asp:BoundField DataField="OrderID" HeaderText="OrderID" InsertVisible="False" 
                ReadOnly="True" SortExpression="OrderID" />
            <asp:BoundField DataField="CustomerID" HeaderText="CustomerID" 
                SortExpression="CustomerID" />
            <asp:BoundField DataField="EmployeeID" HeaderText="EmployeeID" 
                SortExpression="EmployeeID" />
            <asp:BoundField DataField="OrderDate" HeaderText="OrderDate" 
                SortExpression="OrderDate" />
            <asp:BoundField DataField="RequiredDate" HeaderText="RequiredDate" 
                SortExpression="RequiredDate" />
            <asp:BoundField DataField="ShippedDate" HeaderText="ShippedDate" 
                SortExpression="ShippedDate" />
            <asp:BoundField DataField="ShipVia" HeaderText="ShipVia" 
                SortExpression="ShipVia" />
            <asp:BoundField DataField="Freight" HeaderText="Freight" 
                SortExpression="Freight" />
            <asp:BoundField DataField="ShipName" HeaderText="ShipName" 
                SortExpression="ShipName" />
            <asp:BoundField DataField="ShipAddress" HeaderText="ShipAddress" 
                SortExpression="ShipAddress" />
            <asp:BoundField DataField="ShipCity" HeaderText="ShipCity" 
                SortExpression="ShipCity" />
            <asp:BoundField DataField="ShipRegion" HeaderText="ShipRegion" 
                SortExpression="ShipRegion" />
            <asp:BoundField DataField="ShipPostalCode" HeaderText="ShipPostalCode" 
                SortExpression="ShipPostalCode" />
            <asp:BoundField DataField="ShipCountry" HeaderText="ShipCountry" 
                SortExpression="ShipCountry" />
        </Fields>
        <HeaderStyle BackColor="Black" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#000099" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="#CCCCCC" />
    </asp:DetailsView>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="OrderID" 
        DataSourceID="ObjectDataSource2">
        <EditItemTemplate>
            OrderID:
            <asp:Label ID="OrderIDLabel1" runat="server" Text='<%# Eval("OrderID") %>' />
            <br />
            CustomerID:
            <asp:TextBox ID="CustomerIDTextBox" runat="server" 
                Text='<%# Bind("CustomerID") %>' />
            <br />
            EmployeeID:
            <asp:TextBox ID="EmployeeIDTextBox" runat="server" 
                Text='<%# Bind("EmployeeID") %>' />
            <br />
            OrderDate:
            <asp:TextBox ID="OrderDateTextBox" runat="server" 
                Text='<%# Bind("OrderDate") %>' />
            <br />
            RequiredDate:
            <asp:TextBox ID="RequiredDateTextBox" runat="server" 
                Text='<%# Bind("RequiredDate") %>' />
            <br />
            ShippedDate:
            <asp:TextBox ID="ShippedDateTextBox" runat="server" 
                Text='<%# Bind("ShippedDate") %>' />
            <br />
            ShipVia:
            <asp:TextBox ID="ShipViaTextBox" runat="server" Text='<%# Bind("ShipVia") %>' />
            <br />
            Freight:
            <asp:TextBox ID="FreightTextBox" runat="server" Text='<%# Bind("Freight") %>' />
            <br />
            ShipName:
            <asp:TextBox ID="ShipNameTextBox" runat="server" 
                Text='<%# Bind("ShipName") %>' />
            <br />
            ShipAddress:
            <asp:TextBox ID="ShipAddressTextBox" runat="server" 
                Text='<%# Bind("ShipAddress") %>' />
            <br />
            ShipCity:
            <asp:TextBox ID="ShipCityTextBox" runat="server" 
                Text='<%# Bind("ShipCity") %>' />
            <br />
            ShipRegion:
            <asp:TextBox ID="ShipRegionTextBox" runat="server" 
                Text='<%# Bind("ShipRegion") %>' />
            <br />
            ShipPostalCode:
            <asp:TextBox ID="ShipPostalCodeTextBox" runat="server" 
                Text='<%# Bind("ShipPostalCode") %>' />
            <br />
            ShipCountry:
            <asp:TextBox ID="ShipCountryTextBox" runat="server" 
                Text='<%# Bind("ShipCountry") %>' />
            <br />
            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                CommandName="Update" Text="Update" />
            &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </EditItemTemplate>
        <InsertItemTemplate>
            CustomerID:
            <asp:TextBox ID="CustomerIDTextBox" runat="server" 
                Text='<%# Bind("CustomerID") %>' />
            <br />
            EmployeeID:
            <asp:TextBox ID="EmployeeIDTextBox" runat="server" 
                Text='<%# Bind("EmployeeID") %>' />
            <br />
            OrderDate:
            <asp:TextBox ID="OrderDateTextBox" runat="server" 
                Text='<%# Bind("OrderDate") %>' />
            <br />
            RequiredDate:
            <asp:TextBox ID="RequiredDateTextBox" runat="server" 
                Text='<%# Bind("RequiredDate") %>' />
            <br />
            ShippedDate:
            <asp:TextBox ID="ShippedDateTextBox" runat="server" 
                Text='<%# Bind("ShippedDate") %>' />
            <br />
            ShipVia:
            <asp:TextBox ID="ShipViaTextBox" runat="server" Text='<%# Bind("ShipVia") %>' />
            <br />
            Freight:
            <asp:TextBox ID="FreightTextBox" runat="server" Text='<%# Bind("Freight") %>' />
            <br />
            ShipName:
            <asp:TextBox ID="ShipNameTextBox" runat="server" 
                Text='<%# Bind("ShipName") %>' />
            <br />
            ShipAddress:
            <asp:TextBox ID="ShipAddressTextBox" runat="server" 
                Text='<%# Bind("ShipAddress") %>' />
            <br />
            ShipCity:
            <asp:TextBox ID="ShipCityTextBox" runat="server" 
                Text='<%# Bind("ShipCity") %>' />
            <br />
            ShipRegion:
            <asp:TextBox ID="ShipRegionTextBox" runat="server" 
                Text='<%# Bind("ShipRegion") %>' />
            <br />
            ShipPostalCode:
            <asp:TextBox ID="ShipPostalCodeTextBox" runat="server" 
                Text='<%# Bind("ShipPostalCode") %>' />
            <br />
            ShipCountry:
            <asp:TextBox ID="ShipCountryTextBox" runat="server" 
                Text='<%# Bind("ShipCountry") %>' />
            <br />
            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                CommandName="Insert" Text="Insert" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Cancel" />
        </InsertItemTemplate>
        <ItemTemplate>
            OrderID:
            <asp:Label ID="OrderIDLabel" runat="server" Text='<%# Eval("OrderID") %>' />
            <br />
            CustomerID:
            <asp:Label ID="CustomerIDLabel" runat="server" 
                Text='<%# Bind("CustomerID") %>' />
            <br />
            EmployeeID:
            <asp:Label ID="EmployeeIDLabel" runat="server" 
                Text='<%# Bind("EmployeeID") %>' />
            <br />
            OrderDate:
            <asp:Label ID="OrderDateLabel" runat="server" Text='<%# Bind("OrderDate") %>' />
            <br />
            RequiredDate:
            <asp:Label ID="RequiredDateLabel" runat="server" 
                Text='<%# Bind("RequiredDate") %>' />
            <br />
            ShippedDate:
            <asp:Label ID="ShippedDateLabel" runat="server" 
                Text='<%# Bind("ShippedDate") %>' />
            <br />
            ShipVia:
            <asp:Label ID="ShipViaLabel" runat="server" Text='<%# Bind("ShipVia") %>' />
            <br />
            Freight:
            <asp:Label ID="FreightLabel" runat="server" Text='<%# Bind("Freight") %>' />
            <br />
            ShipName:
            <asp:Label ID="ShipNameLabel" runat="server" Text='<%# Bind("ShipName") %>' />
            <br />
            ShipAddress:
            <asp:Label ID="ShipAddressLabel" runat="server" 
                Text='<%# Bind("ShipAddress") %>' />
            <br />
            ShipCity:
            <asp:Label ID="ShipCityLabel" runat="server" Text='<%# Bind("ShipCity") %>' />
            <br />
            ShipRegion:
            <asp:Label ID="ShipRegionLabel" runat="server" 
                Text='<%# Bind("ShipRegion") %>' />
            <br />
            ShipPostalCode:
            <asp:Label ID="ShipPostalCodeLabel" runat="server" 
                Text='<%# Bind("ShipPostalCode") %>' />
            <br />
            ShipCountry:
            <asp:Label ID="ShipCountryLabel" runat="server" 
                Text='<%# Bind("ShipCountry") %>' />
            <br />
        </ItemTemplate>
    </asp:FormView>
    <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" 
        DeleteMethod="Delete" InsertMethod="Insert" 
        OldValuesParameterFormatString="original_{0}" 
        SelectMethod="GetDataByCustomerID" 
        TypeName="dsNEKTableAdapters.OrdersTableAdapter" UpdateMethod="Update">
        <DeleteParameters>
            <asp:Parameter Name="Original_OrderID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
            <asp:Parameter Name="EmployeeID" Type="Int32" />
            <asp:Parameter Name="OrderDate" Type="DateTime" />
            <asp:Parameter Name="RequiredDate" Type="DateTime" />
            <asp:Parameter Name="ShippedDate" Type="DateTime" />
            <asp:Parameter Name="ShipVia" Type="Int32" />
            <asp:Parameter Name="Freight" Type="Decimal" />
            <asp:Parameter Name="ShipName" Type="String" />
            <asp:Parameter Name="ShipAddress" Type="String" />
            <asp:Parameter Name="ShipCity" Type="String" />
            <asp:Parameter Name="ShipRegion" Type="String" />
            <asp:Parameter Name="ShipPostalCode" Type="String" />
            <asp:Parameter Name="ShipCountry" Type="String" />
            <asp:Parameter Name="Original_OrderID" Type="Int32" />
        </UpdateParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="GridView1" Name="CustomerID" 
                PropertyName="SelectedValue" Type="String" />
        </SelectParameters>
        <InsertParameters>
            <asp:Parameter Name="CustomerID" Type="String" />
            <asp:Parameter Name="EmployeeID" Type="Int32" />
            <asp:Parameter Name="OrderDate" Type="DateTime" />
            <asp:Parameter Name="RequiredDate" Type="DateTime" />
            <asp:Parameter Name="ShippedDate" Type="DateTime" />
            <asp:Parameter Name="ShipVia" Type="Int32" />
            <asp:Parameter Name="Freight" Type="Decimal" />
            <asp:Parameter Name="ShipName" Type="String" />
            <asp:Parameter Name="ShipAddress" Type="String" />
            <asp:Parameter Name="ShipCity" Type="String" />
            <asp:Parameter Name="ShipRegion" Type="String" />
            <asp:Parameter Name="ShipPostalCode" Type="String" />
            <asp:Parameter Name="ShipCountry" Type="String" />
        </InsertParameters>
    </asp:ObjectDataSource>
    </form>
</body>
</html>
